Bug 1234574 - Package should not ship a separate emacs sub-package
Summary: Package should not ship a separate emacs sub-package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pure
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: EmacsPackagingViolations
TreeView+ depends on / blocked
 
Reported: 2015-06-22 17:54 UTC by Jonathan Underwood
Modified: 2015-08-03 04:30 UTC (History)
2 users (show)

Fixed In Version: pure-0.64-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-03 04:28:31 UTC


Attachments (Terms of Use)

Description Jonathan Underwood 2015-06-22 17:54:01 UTC
The Emacs add-on packaging guidelines no longer stipulate that packages which also bundle support for Emacs should split out those Emacs files into separate sub-packages. This package should instead ship those files with the main package which should also Require emacs-filesystem. See https://fedoraproject.org/wiki/Packaging:Emacs for more detail.

Comment 1 Jan Kurik 2015-07-15 13:56:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Fedora Update System 2015-07-20 07:20:28 UTC
pure-0.64-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/pure-0.64-2.fc22

Comment 3 Fedora Update System 2015-07-20 07:20:44 UTC
pure-0.64-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pure-0.64-2.fc21

Comment 4 Fedora Update System 2015-07-21 08:21:19 UTC
Package pure-0.64-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pure-0.64-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11894/pure-0.64-2.fc22
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-08-03 04:28:31 UTC
pure-0.64-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-08-03 04:30:11 UTC
pure-0.64-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.